Subject: [alpine-devel] [PATCH] Initial APKBUILD of halberd

From: Fabian Affolter <[email-masked]>
Date: Sat, 25 Jun 2011 21:44:30 +0000

---
 testing/halberd/APKBUILD |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 42 insertions(+), 0 deletions(-)
 create mode 100644 testing/halberd/APKBUILD

diff --git a/testing/halberd/APKBUILD b/testing/halberd/APKBUILD
new file mode 100644
index 0000000..bc62684
--- /dev/null
+++ b/testing/halberd/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Fabian Affolter <[email-masked]>
+# Maintainer:
+pkgname=halberd
+pkgver=0.2.4
+pkgrel=0
+pkgdesc="Tool to discover HTTP load balancers"
+url="http://halberd.superadditive.com"
+arch="noarch"
+license="GPL2+"
+depends="python"
+makedepends="python-dev "
+install=""
+subpackages="$pkgname-doc"
+source="http://$pkgname.superadditive.com/dist/$pkgname-$pkgver.tar.gz
+        $pkgname-sslwrap.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	patch -p1 -i "$srcdir"/$pkgname-sslwrap.patch || return 1
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py bdist_dumb --keep-temp --bdist-dir "$pkgdir" || return 1
+}
+
+doc() {
+    # The man page is not picked-up automatically
+	mkdir -p "$subpkgdir"/usr/share/man || return 1
+    mv "$_builddir"/man/man* "$subpkgdir"/usr/share/man/ || return 1
+}
+
+
+md5sums="d60d0fba8f379ea72c623ad1dd6052c3  halberd-0.2.4.tar.gz
+1fe48ed2a0ef58e8a387ab23368d637c  halberd-sslwrap.patch"
-- 
1.7.4.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---